package com.sooka.system.gas.zenner_gas_purchase_center_infor.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.system.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * 真兰收费系统-中心计费购气信息对象
 *
 * @author lei
 * @date 2022-08-22
 */
@Getter
@Setter
public class TGuijiZennerGasPurchaseCenterInfor extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "序号")
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** GUID */
    @Excel(name = "GUID" )
    private String GUID;

    /** 用户GUID */
    @Excel(name = "用户GUID" )
    private String VC_JFD_USERGUID;

    /** 上次读数 */
    @Excel(name = "上次读数" )
    private String N_JFD_BEFORENUM;

    /** 本次读数 */
    @Excel(name = "本次读数" )
    private String N_JFD_LASTNUM;

    /** 上次结余 */
    @Excel(name = "上次结余" )
    private String N_JFD_BEFOREAMOUNT;

    /** 实收金额 */
    @Excel(name = "实收金额" )
    private String N_JFD_AMOUNT;

    /** 本次结余 */
    @Excel(name = "本次结余" )
    private String N_JFD_LASTAMOUNT;

    /** 发票号码 */
    @Excel(name = "发票号码" )
    private String VC_JFD_INVOICE;

    /** 收款人 */
    @Excel(name = "收款人" )
    private String VC_JFH_SKPERSON;

    /** 收款日期 */
    @Excel(name = "收款日期" )
    private String D_JFH_SKDATE;

    /** 缴费类型（1-冲预付 2-预存调整 3-收本期气费 4-退款 5-后付费充值） */
    @Excel(name = "缴费类型" )
    private String VC_JFD_SKTYPE;

    public String getGuid()
    {
        return GUID;
    }

    public String getVcjfduserguid()
    {
        return VC_JFD_USERGUID;
    }

    public String getNjfdbeforenum()
    {
        return N_JFD_BEFORENUM;
    }

    public String getNjfdlastnum()
    {
        return N_JFD_LASTNUM;
    }

    public String getNjfdbeforeamount()
    {
        if (N_JFD_BEFOREAMOUNT == null){
            return null;
        }else {
            return N_JFD_BEFOREAMOUNT.startsWith(".")?(0+N_JFD_BEFOREAMOUNT):N_JFD_BEFOREAMOUNT;
        }
    }

    public String getNjfdamount()
    {
        if (N_JFD_AMOUNT == null){
            return null;
        }else {
            return N_JFD_AMOUNT.startsWith(".")?(0+N_JFD_AMOUNT):N_JFD_AMOUNT;
        }
    }

    public String getNjfdlastamount()
    {
        if (N_JFD_LASTAMOUNT == null){
            return null;
        }else {
            return N_JFD_LASTAMOUNT.startsWith(".")?(0+N_JFD_LASTAMOUNT):N_JFD_LASTAMOUNT;
        }
    }

    public String getVcjfdinvoice()
    {
        return VC_JFD_INVOICE;
    }

    public String getVcjfhskperson()
    {
        return VC_JFH_SKPERSON;
    }

    public String getDjfhskdate()
    {
        if(D_JFH_SKDATE == null){
            return null;
        }else {
            return D_JFH_SKDATE.replace(".000", "");
        }
    }

    public String getVcjfdsktype()
    {
        if(VC_JFD_SKTYPE == null){
            return null;
        }else {
            //（1-冲预付 2-预存调整 3-收本期气费 4-退款 5-后付费充值）
            String state = VC_JFD_SKTYPE;
            switch (VC_JFD_SKTYPE){
                case "1":
                    state = "冲预付";
                    break;
                case "2":
                    state = "预存调整";
                    break;
                case "3":
                    state = "收本期气费";
                    break;
                case "4":
                    state = "退款";
                    break;
                case "5":
                    state = "后付费充值";
                    break;
            }
            return state;
        }
    }
}
